using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_AR_20
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			GridViewComboBoxColumn gvd = new GridViewComboBoxColumn() { DataMemberBinding = new Binding("Position") { Mode = BindingMode.TwoWay }, ItemsSource = EnumDataSource.FromType(typeof(Position)), SelectedValueMemberPath = "Name" };
			clubsGrid.Columns.Add(gvd);
			FrameworkElementFactory fe = new FrameworkElementFactory(typeof(TextBlock));
			fe.SetValue(TextBlock.TextProperty, "Position");
			fe.SetValue(TextBlock.FontSizeProperty, 20d);
			DataTemplate dt = new DataTemplate();
			dt.VisualTree = fe;
			dt.Seal();
			gvd.ToolTipTemplate = dt;
		}
	}
}
